package com.dcsoft.system.uniubi.domain;

import com.alibaba.fastjson.JSONObject;
import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import com.dcsoft.system.domain.SysBranch;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 人员管理对象 person
 *
 * @author nichun
 * @date 2023-03-08
 */
public class Person extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 人员Id */
    private String id;

    /** 人员名称 */
    private String name;

    /** 人员卡号 */
    private String idcardNum;

    /** 身份证号 */
    private String iDNumber;

    /** 人像模式权限 1：关 2：开 (默认) */
    private int facePermission=2;

    /** 刷卡模式权限 1：关 2：开 (默认)*/
    private int idCardPermission=2;

    /** 人卡合一模式权限 1：关(默认) 2：开*/
    private int faceAndCardPermission=1;

    /** 单一验证方式 指纹验证 1：关(默认) 2：开*/
    private int fingerPermission=1;

    /** 人证比对模式权限 1：关(默认) 2：开 */
    private int iDPermission=1;

    /** 人员备注 */
    private String tag;

    /** 手机号 */
    private String phone;

    /** 用户密码 */
    private String password;

    /** 用户密码权限 1：关 (默认) 2：开 */
    private int passwordPermssion=1;

    /** 人员类型 0：长期人员（默认）,1：临时员工  2：黑名单用户，*/
    private int role=0;


    private List<JSONObject> rule;

    public List<JSONObject> getRule() {
        return rule;
    }

    public void setRule(List<JSONObject> rule) {
        this.rule = rule;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdcardNum() {
        return idcardNum;
    }

    public void setIdcardNum(String idcardNum) {
        this.idcardNum = idcardNum;
    }

    public String getiDNumber() {
        return iDNumber;
    }

    public void setiDNumber(String iDNumber) {
        this.iDNumber = iDNumber;
    }

    public int getFacePermission() {
        return facePermission;
    }

    public void setFacePermission(int facePermission) {
        this.facePermission = facePermission;
    }

    public int getIdCardPermission() {
        return idCardPermission;
    }

    public void setIdCardPermission(int idCardPermission) {
        this.idCardPermission = idCardPermission;
    }

    public int getFaceAndCardPermission() {
        return faceAndCardPermission;
    }

    public void setFaceAndCardPermission(int faceAndCardPermission) {
        this.faceAndCardPermission = faceAndCardPermission;
    }

    public int getiDPermission() {
        return iDPermission;
    }

    public void setiDPermission(int iDPermission) {
        this.iDPermission = iDPermission;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public int getPasswordPermssion() {
        return passwordPermssion;
    }

    public void setPasswordPermssion(int passwordPermssion) {
        this.passwordPermssion = passwordPermssion;
    }

    public int getRole() {
        return role;
    }

    public void setRole(int role) {
        this.role = role;
    }

    public int getFingerPermission() {
        return fingerPermission;
    }

    public void setFingerPermission(int fingerPermission) {
        this.fingerPermission = fingerPermission;
    }
}
